Ubuntu 12.10 + Radeon + Steam

8 Dic

Desde que los chicos de Valve anunciaron Steam para Ubuntu, todos los linuxeros nos alegramos, pero ahí estaba ATI para darnos un buen disgusto: si teníamos una Radeon HD4xxx o inferior, nos quedábamos tirados, porque ya no le dan más soporte. ¿Qué implica esto? Que Unity peta cuando se le instalan los nuevos drivers y si se usan los que hay por defecto, no funcionan la inmensa mayoría de los juegos que hay en Steam para Linux.

Por suerte la comunidad de Linux siempre encuentra apaños y hay un repositorio que se encargará de hacer la magia necesaria para que si tenemos una Radeon HD4xxx o inferior, podamos usar los drivers de Catalyst Legacy (12.6) junto con Ubuntu 12.10 y Xorg 1.13 sin muchos problemas.

Para ello solo hay que poner en consola lo siguiente:

sudo add-apt-repository ppa:makson96/fglrx
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install fglrx-legacy

Y si ha ido mal, siempre podremos revertirlo así:

sudo apt-get install ppa-purge
sudo ppa-purge ppa:makson96/fglrx

A mí me va bien con Ubuntu 12.10 y una Radeon HD4350, con todos los juegos disponibles que funcionan para los que usan la última versión de Catalyst, a excepción del TF2 (Team Fortress 2) que necesita que se hagan unas chapucillas adicionales.

Edito: lo de “ir bien” es un decir. En los juegos va bien, pero usando Firefox y Chrome, al no permitir aceleración GPU y demás, pasan cosas raras mientras se navega. Así que… puede sonar surrealista, pero una solución es crear un script “QuieroJugar.sh” que haga las primeras instrucciones y uno “DéjameVivir.sh” para poder navegar.

3 thoughts on “Ubuntu 12.10 + Radeon + Steam

  1. pues por si acaso, podrias decir que pones en los script para mejorar la navegacion y como se usan…gracias por tu ayuda.

    • Eran básicamente dos .sh con líneas de código que se correspondían con lo comandos de instalar y desinstalar los drivers. Ahora mismo no tengo la misma gráfica y no los puedo probar, pero básicamente vale con poner en un fichero que acabe en .sh , las líneas de código que hayas necesitado para instalarlo. Luego basta con ejecutarlos. Es la mejor solución, aunque creo que los legacy ya funcionan bastante bien y son compatibles con muchos de los juegos de Steam.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *